%global enable_tests 1
%global srcname stream-to-array

Name:               nodejs-stream-to-array
Version:            2.3.0
Release:            4%{?dist}
Summary:            Concatenate a readable stream's data into a single array

License:            MIT
URL:                https://www.npmjs.org/package/stream-to-array
Source0:            https://github.com/stream-utils/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch
BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(bluebird)
BuildRequires:      npm(any-promise)
BuildRequires:      npm(mocha)
%endif

%description
Concatenate a readable stream's data into a single array.

%prep
%autosetup -n %{srcname}-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stream-to-array
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/stream-to-array

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha --reporter spec --bail
%endif

%files
%doc README.md
%{nodejs_sitelib}/stream-to-array/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 2.3.0-1
- Update

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.1.0-1
- Update to new version
- Update to new package guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ralph Bean <rbean@redhat.com> - 2.0.2-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora.
